summaryrefslogtreecommitdiffstats
path: root/dev-tqt/tqt/tqt-9999.ebuild
diff options
context:
space:
mode:
authorE. Liddell <ejlddll@warpmail.net>2020-01-02 14:31:56 -0500
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-01-06 23:43:39 +0000
commit3ffa67c73f0d6aee8c9cd5bd78b6ec3961bbb399 (patch)
tree0159672715973a301a99b5e769915f18bb22599b /dev-tqt/tqt/tqt-9999.ebuild
parenta660a380304baec5382823b143e0710be22bbb06 (diff)
downloadtde-packaging-gentoo-3ffa67c73f0d6aee8c9cd5bd78b6ec3961bbb399.tar.gz
tde-packaging-gentoo-3ffa67c73f0d6aee8c9cd5bd78b6ec3961bbb399.zip
Update of trinity-* eclasses, tqt, tqtinterface, dbus-1-tqt, tdelibs to EAPI7 and git-v3; wholesale slaughter of obsolete eclass code; ebuilds for 14.0.6; aRts flag nonfunctional
Signed-off-by: E. Liddell <ejlddll@warpmail.net>
Diffstat (limited to 'dev-tqt/tqt/tqt-9999.ebuild')
-rw-r--r--dev-tqt/tqt/tqt-9999.ebuild74
1 files changed, 15 insertions, 59 deletions
diff --git a/dev-tqt/tqt/tqt-9999.ebuild b/dev-tqt/tqt/tqt-9999.ebuild
index 81739589..eec87c0d 100644
--- a/dev-tqt/tqt/tqt-9999.ebuild
+++ b/dev-tqt/tqt/tqt-9999.ebuild
@@ -1,25 +1,19 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=7
-RESTRICT=network-sandbox
-inherit eutils git-2 toolchain-funcs
+inherit eutils git-r3 flag-o-matic toolchain-funcs
SRCTYPE="free"
-DESCRIPTION="The Trinitie's TQt toolkit fork."
+DESCRIPTION="Trinity's Qt toolkit fork."
HOMEPAGE="http://trinitydesktop.org/"
-# IMMTQT_P="tqt-x11-immodule-unified-tqt3.3.8-20070321-gentoo"
-
-#SRC_URI="ftp://ftp.trolltech.com/tqt/source/tqt-x11-${SRCTYPE}-${PV}.tar.gz
-# immtqt? ( mirror://gentoo/${IMMTQT_P}.diff.bz2 )
-# immtqt-bc? ( mirror://gentoo/${IMMTQT_P}.diff.bz2 )"
+#SRC_URI="http://www.mirrorservice.org/sites/trinitydesktop.org/trinity/releases/R${PV}/main/dependencies/tqt3-trinity-${PV}.tar.xz"
EGIT_REPO_URI="https://mirror.git.trinitydesktop.org/gitea/TDE/tqt3"
-EGIT_PROJECT="trinity/tqt3"
-LICENSE="|| ( QPL-1.0 GPL-2 GPL-3 )"
+LICENSE="|| ( GPL-2 GPL-3 )"
-SLOT="3"
+SLOT="3.5"
KEYWORDS=
IUSE="cups debug doc examples firebird ipv6 mysql nas nis opengl postgres sqlite xinerama"
# no odbc, immtqt and immtqt-bc support anymore.
@@ -48,28 +42,10 @@ RDEPEND="
DEPEND="${RDEPEND}
x11-base/xorg-proto"
-#PDEPEND="odbc? ( ~dev-db/tqt-unixODBC-$PV )"
-
-#S="${WORKDIR}/tqt-x11-${SRCTYPE}-${PV}"
-
TQTBASE="/usr/tqt3"
pkg_setup() {
-# if use immtqt && use immtqt-bc ; then
-# ewarn
-# ewarn "immtqt and immtqt-bc are exclusive. You cannot set both."
-# ewarn "Please specify either immtqt or immtqt-bc."
-# ewarn
-# die
-# elif use immtqt ; then
-# ewarn
-# ewarn "You are going to compile binary imcompatible immodule for Qt. This means"
-## ewarn "you have to recompile everything depending on Qt after you install it."
-# ewarn "Be aware."
-# ewarn
-# fi
-
- export TQTDIR="${S}"
+ export QTDIR="${S}"
CXX=$(tc-getCXX)
if [[ ${CXX/g++/} != ${CXX} ]]; then
@@ -104,17 +80,11 @@ pkg_setup() {
src_prepare() {
# Apply user-provided patches
- epatch_user
+ eapply_user
# Do not link with -rpath. See bug #75181.
find "${S}"/mkspecs -name qmake.conf | xargs \
sed -i -e 's:QMAKE_RPATH.*:QMAKE_RPATH =:'
-# if use immtqt || use immtqt-bc ; then
-# epatch ../${IMMTQT_P}.diff
-# sh make-symlinks.sh || die "make symlinks failed"
-#
-# epatch "${FILESDIR}"/tqt-3.3.8-immtqt+gcc-4.3.patch
-# fi
# set c/xxflags and ldflags
strip-flags
@@ -161,7 +131,6 @@ src_configure() {
[ "$(get_libdir)" != "lib" ] && myconf+="${myconf} -L/usr/$(get_libdir)"
- # unixODBC support is now a PDEPEND on dev-db/tqt-unixODBC; see bug 14178.
use nas && myconf+=" -system-nas-sound"
use nis && myconf+=" -nis" || myconf+=" -no-nis"
use mysql && myconf+=" -plugin-sql-mysql -I/usr/include/mysql -L/usr/$(get_libdir)/mysql" || myconf+=" -no-sql-mysql"
@@ -176,8 +145,6 @@ src_configure() {
myconf+=" -system-zlib -qt-gif"
use ipv6 && myconf+=" -ipv6" || myconf+=" -no-ipv6"
-# use immtqt-bc && myconf+=" -inputmethod"
-# use immtqt && myconf+=" -inputmethod -inputmethod-ext"
myconf+=" -dlopen-opengl"
@@ -202,14 +169,14 @@ src_compile() {
fi
# Make the msg2qm utility (not made by default)
- cd "${S}"/tools/msg2tqm
- ../../bin/tqmake || die
- emake
+# cd "${S}"/tools/msg2tqm
+# ../../bin/tqmake || die
+# emake
# Make the qembed utility (not made by default)
- cd "${S}"/tools/qembed
- ../../bin/tqmake || die
- emake
+# cd "${S}"/tools/qembed
+# ../../bin/tqmake || die
+# emake
}
@@ -255,12 +222,6 @@ EOF
dosym $(get_abi_LIBDIR ${DEFAULT_ABI}) ${TQTBASE}/lib
fi
-# insinto ${TQTBASE}/tools/designer
-# doins -r tools/designer/templates
-#
-# insinto ${TQTBASE}
-# doins -r translations
-#
keepdir ${TQTBASE}/etc/settings
if use doc; then
@@ -276,17 +237,12 @@ EOF
cp -r "${S}"/tutorial "${D}"${TQTBASE}/
fi
-# # misc build reqs
-# insinto ${TQTBASE}/mkspecs
-# doins -r "${S}"/mkspecs/${PLATFORM}
+ # misc build reqs
sed -e "s:${S}:${TQTBASE}:g" \
"${S}"/.qmake.cache > "${D}"${TQTBASE}/.qmake.cache
dodoc FAQ README README-QT.TXT changes*
-# if use immtqt || use immtqt-bc ; then
-# dodoc "${S}"/README.immodule
-# fi
}
pkg_postinst() {